package es.upvmaster.fullmediaplayer;

import android.content.Context;
import android.graphics.BitmapFactory;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by crpor on 21/08/2016.
 */
public class AdaptadorEntradaSistema extends RecyclerView.Adapter<AdaptadorEntradaSistema.ViewHolder> {
    private LayoutInflater inflador;
    protected Vector<EntradaSistemaArchivo> vectorEntradas;
    private View.OnClickListener onClickListener;

    public AdaptadorEntradaSistema(Context contexto, Vector<EntradaSistemaArchivo> vectorEntradas) {
        this.vectorEntradas = vectorEntradas;
        this.inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    public void setOnItemClickListener(View.OnClickListener onClickListener) {
        this.onClickListener = onClickListener;
    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public TextView nombreEntrada;
        public ImageView imagenEntrada;

        public ViewHolder(View itemView) {
            super(itemView);
            this.nombreEntrada = (TextView) itemView.findViewById(R.id.nombreEntrada);
            this.imagenEntrada = (ImageView) itemView.findViewById(R.id.imagenEntrada);
        }
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View v = this.inflador.inflate(R.layout.elemento_entrada_sistema_archivo,null);
        v.setOnClickListener(onClickListener);
        return new ViewHolder(v);
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int position) {
        EntradaSistemaArchivo entradaActual = vectorEntradas.elementAt(position);
        holder.nombreEntrada.setText(entradaActual.getName());
        if (entradaActual.isDirectory())
            holder.imagenEntrada.setImageBitmap(BitmapFactory.decodeResource(InfoGlobal.getINSTANCIA().getContextoAplicacion().getResources(), R.drawable.generic256));
        else if (entradaActual.isMusicFile())
            holder.imagenEntrada.setImageBitmap(BitmapFactory.decodeResource(InfoGlobal.getINSTANCIA().getContextoAplicacion().getResources(), R.drawable.musicfile256));
        else if (entradaActual.isVideoFile()) holder.imagenEntrada.setImageBitmap(BitmapFactory.decodeResource(InfoGlobal.getINSTANCIA().getContextoAplicacion().getResources(), R.drawable.videofile256));

    }

    @Override
    public int getItemCount() {
        return vectorEntradas.size();
    }
}